@font-face {
  font-family: gameplayed;
  src: url(./fonts/GameCommands.ttf);
}

body{
  color:white;

  background-color:rgb(0, 82, 0);
  background-image:
  radial-gradient(circle at 100% 150%, rgb(0, 82, 0) 24%, rgb(15, 51, 1) 24%, rgb(15, 51, 1) 28%, rgb(0, 82, 0) 28%, rgb(0, 82, 0) 36%, rgb(15, 51, 1) 36%, rgb(15, 51, 1) 40%, transparent 40%, transparent),
  radial-gradient(circle at 0    150%, rgb(0, 82, 0) 24%, rgb(15, 51, 1) 24%, rgb(15, 51, 1) 28%, rgb(0, 82, 0) 28%, rgb(0, 82, 0) 36%, rgb(15, 51, 1) 36%, rgb(15, 51, 1) 40%, transparent 40%, transparent),
  radial-gradient(circle at 50%  100%, rgb(15, 51, 1) 10%, rgb(0, 82, 0) 10%, rgb(0, 82, 0) 23%, rgb(15, 51, 1) 23%, rgb(15, 51, 1) 30%, rgb(0, 82, 0) 30%, rgb(0, 82, 0) 43%, rgb(15, 51, 1) 43%, rgb(15, 51, 1) 50%, rgb(0, 82, 0) 50%, rgb(0, 82, 0) 63%, rgb(15, 51, 1) 63%, rgb(15, 51, 1) 71%, transparent 71%, transparent),
  radial-gradient(circle at 100% 50%, rgb(15, 51, 1) 5%, rgb(0, 82, 0) 5%, rgb(0, 82, 0) 15%, rgb(15, 51, 1) 15%, rgb(15, 51, 1) 20%, rgb(0, 82, 0) 20%, rgb(0, 82, 0) 29%, rgb(15, 51, 1) 29%, rgb(15, 51, 1) 34%, rgb(0, 82, 0) 34%, rgb(0, 82, 0) 44%, rgb(15, 51, 1) 44%, rgb(15, 51, 1) 49%, transparent 49%, transparent),
  radial-gradient(circle at 0    50%, rgb(15, 51, 1) 5%, rgb(0, 82, 0) 5%, rgb(0, 82, 0) 15%, rgb(15, 51, 1) 15%, rgb(15, 51, 1) 20%, rgb(0, 82, 0) 20%, rgb(0, 82, 0) 29%, rgb(15, 51, 1) 29%, rgb(15, 51, 1) 34%, rgb(0, 82, 0) 34%, rgb(0, 82, 0) 44%, rgb(15, 51, 1) 44%, rgb(15, 51, 1) 49%, transparent 49%, transparent);
  background-size: 100px 50px;
}

#root {
  height: 100vh;
}

.gameplayed{
  font-family: gameplayed;
}

nav {
  width: 70vw;
  margin: auto;
  padding:1%;
}

nav ul {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  list-style: none;
  align-items:center;
  margin: 0;
}

nav ul li {
  cursor: pointer;
}

nav ul li a , button a{
  color: white;
  text-decoration: none;
  font-size: 1.5em;
}

nav ul li a:hover , button a:hover{
  color: yellow;
  text-decoration: none;
}

p {
  margin: 0;
  padding: 0;
}

.card_container{
  padding: 1vw;
  background-color: #1C1F23;
  width: 70vw;
  margin:auto;
}

.card_container p{
  font-size: 20px;
  text-align: center;
}

div.scoretitle{
  justify-content: center;
}

div.scoretitle h2{
  font-size: 20px;
}

.game_container {
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  border-radius: 10px;
  -webkit-box-shadow:inset 2px 2px 5px 2px #18191b;
  -moz-box-shadow:inset 2px 2px 5px 2px #18191b;
  box-shadow:inset 2px 2px 5px 2px #18191b;
  background-color: rgb(0, 95, 0);
  padding: 1vw;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap:1vw;
  height: 70vh;
  place-items: center;
}

.game_container .back{
  border: #1C1F23 1px solid;
  background-color: hsl(34, 53%, 82%);
  background-image: repeating-linear-gradient(45deg, transparent 5px, hsla(197, 62%, 11%, 0.5) 5px, hsla(197, 62%, 11%, 0.5) 10px,
    hsla(5, 53%, 63%, 0) 10px, hsla(5, 53%, 63%, 0) 35px, hsla(5, 53%, 63%, 0.5) 35px, hsla(5, 53%, 63%, 0.5) 40px,
    hsla(197, 62%, 11%, 0.5) 40px, hsla(197, 62%, 11%, 0.5) 50px, hsla(197, 62%, 11%, 0) 50px, hsla(197, 62%, 11%, 0) 60px,
    hsla(5, 53%, 63%, 0.5) 60px, hsla(5, 53%, 63%, 0.5) 70px, hsla(35, 91%, 65%, 0.5) 70px, hsla(35, 91%, 65%, 0.5) 80px,
    hsla(35, 91%, 65%, 0) 80px, hsla(35, 91%, 65%, 0) 90px, hsla(5, 53%, 63%, 0.5) 90px, hsla(5, 53%, 63%, 0.5) 110px,
    hsla(5, 53%, 63%, 0) 110px, hsla(5, 53%, 63%, 0) 120px, hsla(197, 62%, 11%, 0.5) 120px, hsla(197, 62%, 11%, 0.5) 140px
    ),
  repeating-linear-gradient(135deg, transparent 5px, hsla(197, 62%, 11%, 0.5) 5px, hsla(197, 62%, 11%, 0.5) 10px,
    hsla(5, 53%, 63%, 0) 10px, hsla(5, 53%, 63%, 0) 35px, hsla(5, 53%, 63%, 0.5) 35px, hsla(5, 53%, 63%, 0.5) 40px,
    hsla(197, 62%, 11%, 0.5) 40px, hsla(197, 62%, 11%, 0.5) 50px, hsla(197, 62%, 11%, 0) 50px, hsla(197, 62%, 11%, 0) 60px,
    hsla(5, 53%, 63%, 0.5) 60px, hsla(5, 53%, 63%, 0.5) 70px, hsla(35, 91%, 65%, 0.5) 70px, hsla(35, 91%, 65%, 0.5) 80px,
    hsla(35, 91%, 65%, 0) 80px, hsla(35, 91%, 65%, 0) 90px, hsla(5, 53%, 63%, 0.5) 90px, hsla(5, 53%, 63%, 0.5) 110px,
    hsla(5, 53%, 63%, 0) 110px, hsla(5, 53%, 63%, 0) 140px, hsla(197, 62%, 11%, 0.5) 140px, hsla(197, 62%, 11%, 0.5) 160px
  );
}

.game_container .back:hover {
  border-color: #9c7904;
  border-width: 1px;
  -webkit-box-shadow:inset 1px 1px 20px 1px #9c7904;
  -moz-box-shadow:inset 1px 1px 20px 1px #9c7904;
  box-shadow:inset 1px 1px 20px 1px #9c7904;
}

.card-header{
  display: flex;
  justify-content:space-between;
}

.lecteur-mp3{
  display: flex;
  justify-content:space-around;
}

.lecteur-mp3 div {
  align-self: center;
}

.game_container .back p{
  visibility: hidden;
}

.game_container div{
  margin: 0;
  cursor: pointer;
}

.game_container div p {
  user-select:none;
  cursor: default;
}

.card ul {
  margin: 20px 0px;
}

.card ul li{
  margin: 5px 0px;
  display: flex;
  justify-content: space-between;
  font-size: 30px;
  color: #9c7904;
  background-color: rgb(41, 21, 2);
  -webkit-box-shadow:inset 2px 2px 5px 2px #18191b;
  -moz-box-shadow:inset 2px 2px 5px 2px #18191b;
  box-shadow:inset 2px 2px 5px 2px #18191b;
  border-color: #9c7904;
  border-width: 2px;
  -webkit-text-stroke: 1px black;
  font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
}

/* Popup style */
.popup-box {
  color: black;
  position: fixed;
  background: #00000050;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
}
 
.box {
  position: relative;
  width: 70%;
  margin: 0 auto;
  height: auto;
  max-height: 70vh;
  margin-top: calc(100vh - 85vh - 20px);
  background: #fff;
  border-radius: 4px;
  padding: 20px;
  border: 1px solid #999;
  overflow: auto;
}
 
.close-icon {
  content: 'x';
  cursor: pointer;
  position: fixed;
  right: calc(15% - 30px);
  top: calc(100vh - 85vh - 33px);
  background: #ededed;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  line-height: 20px;
  text-align: center;
  border: 1px solid #999;
  font-size: 20px;
}

